{% from 'bootstrap/nav.html' import render_nav_item %}
<!DOCTYPE html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Wurf.it Web Interface</title>
    <link rel="icon" href="{{ url_for('static', filename='favicon.ico') }}">
    {{ bootstrap.load_css() }}
    <!-- Custom fonts for this template-->
    <link href="{{ url_for('static', filename='vendor/fontawesome.all.min.css') }}" rel="stylesheet" type="text/css">

    <!-- Custom styles for this template-->
    <link href="{{ url_for('static', filename='css/sb-admin.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ url_for('static', filename='custom.css') }}">
    <link rel="stylesheet" href="{{ url_for('static', filename='json_highlight.css') }}">

    <!-- Load js -->
    <script src="{{ url_for('static', filename='vendor/moment.min.js') }}"></script>
    {% block header %}{% endblock %}
  </head>

  <body id="page-top">

    <nav class="navbar navbar-expand navbar-dark bg-dark static-top">

      <img class="mr-2" src="{{ url_for('static', filename='favicon.ico') }}" alt="wurfit-logo"/>
      <a class="navbar-brand mr-1" href="{{ url_for('index') }}">
        Wurf.it Manager
      </a>

      <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle">
        <i class="fas fa-bars"></i>
      </button>

      <!-- Navbar -->
      <ul class="navbar-nav ml-auto">
        <li class="nav-item dropdown no-arrow">
          <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-user-circle fa-fw"></i>
          </a>
          <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
            <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">Logout</a>
          </div>
        </li>
      </ul>

    </nav>

    <div id="wrapper">

      <!-- Sidebar -->
      <ul class="sidebar navbar-nav">
        <li class="nav-item">
          <a class="nav-link" href="{{ url_for('index') }}">
            <i class="fas fa-fw fa-tachometer-alt"></i>
            <span>Dashboard</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{ url_for('servers.create') }}">
            <i class="fas fa-fw fa-plus-square"></i>
            <span>Create Server</span></a>
        </li>
        <li class="nav-item dropdown">
          {% if servers %}
          <a class="nav-link dropdown-toggle" href="#" id="pagesDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
            <i class="fas fa-fw fa-server"></i>
            <span>Servers</span>
          </a>
          <div class="dropdown-menu" aria-labelledby="pagesDropdown">
            {% for server in servers %}
            <a class="dropdown-item" href="{{ url_for('servers.detail', id=server.id) }}">{{server.name}}</a>
            {% endfor %}
          </div>
          {% else %}
          {% endif %}
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{ url_for('files.show') }}">
            <i class="fas fa-fw fa-folder-open"></i>
            <span>Files</span></a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{{ url_for('interfaces.show') }}">
            <i class="fas fa-fw fa-wifi"></i>
            <span>Network Interfaces</span></a>
        </li>
      </ul>

      <div id="content-wrapper">

        <div class="container-fluid">

          <!-- Breadcrumbs-->
<!--
          <ol class="breadcrumb">
          <li class="breadcrumb-item">
              <a href="breadcrumb.url">breadcrumb.text</a>
            </li>
          </ol>
 -->

          {% if not rest_available %}
          <div class="alert alert-danger alert-dismissible fade show" role="alert">
            <strong>ERROR:</strong> Server REST API Down
          </div>
          {% endif %}
          {% with messages = get_flashed_messages(with_categories=true) %}
          {% for category, message in messages %}
          {% if category == 'message' %}
          {% set category = "info" %}
          {% endif %}
          <div class="alert alert-{{ category }} alert-dismissible fade show" role="alert">
            {%- if category == 'danger' -%}<strong>ERROR:</strong> {% endif -%} {{ message }}
            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          {% endfor %}
          {% endwith %}
          <!-- Page Content -->
          {% block content %}
          <h1>Blank Page</h1>
          <hr>
          <p>This is a great starting point for new custom pages.</p>
          {% endblock %}
          <br>
        </div>
        <!-- /.container-fluid -->

        <!-- Sticky Footer -->
        <footer class="sticky-footer">
          <div class="container my-auto">
            <div class="copyright text-center my-auto">
              <span>Copyright © Steinwurf 2019</span>
            </div>
          </div>
        </footer>

      </div>
      <!-- /.content-wrapper -->

    </div>
    <!-- /#wrapper -->

    <!-- Scroll to Top Button-->
    <a class="scroll-to-top rounded" href="#page-top">
      <i class="fas fa-angle-up"></i>
    </a>

    <!-- Logout Modal-->
    <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="exampleModalLabel">Ready to Leave?</h5>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">Select "Logout" below if you are ready to end your current session.</div>
          <div class="modal-footer">
            <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancel</button>
            <a class="btn btn-primary" href="login.html">Logout</a>
          </div>
        </div>
      </div>
    </div>

    {{ bootstrap.load_js() }}
    {% block js %}{% endblock %}

    <!-- Custom scripts for all pages-->

    <script src="{{ url_for('static', filename='vendor/jquery.easing.min.js') }}"></script>
    <script src="{{ url_for('static', filename='js/sb-admin.min.js') }}"></script>

  </body>

</html>
